summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2013-07-11 13:44:24 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2013-07-11 13:44:24 +0200
commit9961e5898f70db51ffc4f093e5d0777bb9b287ff (patch)
treef7b6f285a3a8230ddd51b7cd5ba113115c8cd25c /scripts
parent7a1445acc7cd0eef202341b682391dd22777b553 (diff)
mesalib needs makedepend
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index fc7dd2515..bc688b924 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -80,6 +80,10 @@ if [[ -n $ADK_PACKAGE_FIREFOX ]]; then
NEED_ZIP="$NEED_ZIP firefox"
fi
+if [[ -n $ADK_PACKAGE_MESALIB ]]; then
+ NEED_MAKEDEPEND="$NEED_MAKEDEPEND mesalib"
+fi
+
if [[ -n $ADK_COMPILE_HEIMDAL ]]; then
NEED_BISON="$NEED_BISON heimdal-server"
fi
@@ -423,6 +427,13 @@ if [[ -n $NEED_PYTHON ]]; then
fi
fi
+if [[ -n $NEED_MAKEDEPEND ]]; then
+ if ! which makedepend >/dev/null 2>&1; then
+ echo >&2 You need makedepend to build $NEED_MAKEDEPEND
+ out=1
+ fi
+fi
+
if [[ -n $ADK_USE_CCACHE ]]; then
if ! which ccache >/dev/null 2>&1; then
echo >&2 You have selected to build with ccache, but ccache could not be found.